Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.oneofnone.io/v1/analytics/components \ --header 'x-api-key: <api-key>'
import requests url = "https://api.oneofnone.io/v1/analytics/components" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.oneofnone.io/v1/analytics/components', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.oneofnone.io/v1/analytics/components", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.oneofnone.io/v1/analytics/components" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.oneofnone.io/v1/analytics/components") .header("x-api-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.oneofnone.io/v1/analytics/components") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "meta": { "total_clicks": 123 }, "timeseries": [ { "date": "<string>", "total_clicks": 123, "unique_users": 123 } ], "top_components": [ { "component_id": "<string>", "component_type": "<string>", "action_type": "<string>", "total_clicks": 123, "unique_users": 123 } ], "avg_component_index": [ { "component_type": "<string>", "avg_component_index": 123, "total_clicks": 123 } ] }
1 <= x <= 1000
mobile
tablet
desktop
all
daily
weekly
monthly
quarterly
yearly
asc
desc
Successful response
Show child attributes